* Evoral: first successful read from Sequence
[ardour.git] / libs / gtkmm2 / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 pkgdatadir = $(datadir)/@PACKAGE@
18 pkglibdir = $(libdir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
21 install_sh_DATA = $(install_sh) -c -m 644
22 install_sh_PROGRAM = $(install_sh) -c
23 install_sh_SCRIPT = $(install_sh) -c
24 INSTALL_HEADER = $(INSTALL_DATA)
25 transform = $(program_transform_name)
26 NORMAL_INSTALL = :
27 PRE_INSTALL = :
28 POST_INSTALL = :
29 NORMAL_UNINSTALL = :
30 PRE_UNINSTALL = :
31 POST_UNINSTALL = :
32 build_triplet = @build@
33 host_triplet = @host@
34 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
35         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
36         $(top_srcdir)/configure \
37         $(top_srcdir)/docs/Makefile_web.am_fragment AUTHORS COPYING \
38         ChangeLog INSTALL NEWS
39 subdir = .
40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41 am__aclocal_m4_deps = $(top_srcdir)/scripts/docgen.m4 \
42         $(top_srcdir)/scripts/macros.m4 \
43         $(top_srcdir)/scripts/reduced.m4 $(top_srcdir)/configure.in
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45         $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47  configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_HEADER = config.h $(top_builddir)/gdk/gdkmmconfig.h \
50         $(top_builddir)/gtk/gtkmmconfig.h
51 CONFIG_CLEAN_FILES =
52 SOURCES =
53 DIST_SOURCES =
54 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55         html-recursive info-recursive install-data-recursive \
56         install-dvi-recursive install-exec-recursive \
57         install-html-recursive install-info-recursive \
58         install-pdf-recursive install-ps-recursive install-recursive \
59         installcheck-recursive installdirs-recursive pdf-recursive \
60         ps-recursive uninstall-recursive
61 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
62   distclean-recursive maintainer-clean-recursive
63 ETAGS = etags
64 CTAGS = ctags
65 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66 distdir = $(PACKAGE)-$(VERSION)
67 top_distdir = $(distdir)
68 am__remove_distdir = \
69   { test ! -d $(distdir) \
70     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
71          && rm -fr $(distdir); }; }
72 DIST_ARCHIVES = $(distdir).tar.gz
73 GZIP_ENV = --best
74 distuninstallcheck_listfiles = find . -type f -print
75 distcleancheck_listfiles = find . -type f -print
76 ACLOCAL = @ACLOCAL@
77 AMTAR = @AMTAR@
78 AR = @AR@
79 AS = @AS@
80 ATKMM_CFLAGS = @ATKMM_CFLAGS@
81 ATKMM_LIBS = @ATKMM_LIBS@
82 AUTOCONF = @AUTOCONF@
83 AUTOHEADER = @AUTOHEADER@
84 AUTOMAKE = @AUTOMAKE@
85 AWK = @AWK@
86 CC = @CC@
87 CCDEPMODE = @CCDEPMODE@
88 CFLAGS = @CFLAGS@
89 CPP = @CPP@
90 CPPFLAGS = @CPPFLAGS@
91 CXX = @CXX@
92 CXXCPP = @CXXCPP@
93 CXXDEPMODE = @CXXDEPMODE@
94 CXXFLAGS = @CXXFLAGS@
95 CYGPATH_W = @CYGPATH_W@
96 DEFS = @DEFS@
97 DEMO_SUBDIR = @DEMO_SUBDIR@
98 DEPDIR = @DEPDIR@
99 DISABLE_DEPRECATED_API_CFLAGS = @DISABLE_DEPRECATED_API_CFLAGS@
100 DISABLE_DEPRECATED_CFLAGS = @DISABLE_DEPRECATED_CFLAGS@
101 DLLTOOL = @DLLTOOL@
102 DOCS_SUBDIR = @DOCS_SUBDIR@
103 ECHO = @ECHO@
104 ECHO_C = @ECHO_C@
105 ECHO_N = @ECHO_N@
106 ECHO_T = @ECHO_T@
107 EGREP = @EGREP@
108 EXAMPLE_SUBDIR = @EXAMPLE_SUBDIR@
109 EXEEXT = @EXEEXT@
110 F77 = @F77@
111 FFLAGS = @FFLAGS@
112 GDKMM_CFLAGS = @GDKMM_CFLAGS@
113 GDKMM_LIBS = @GDKMM_LIBS@
114 GMMPROC = @GMMPROC@
115 GMMPROC_DIR = @GMMPROC_DIR@
116 GREP = @GREP@
117 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
118 GTHREAD_LIBS = @GTHREAD_LIBS@
119 GTKMM_CFLAGS = @GTKMM_CFLAGS@
120 GTKMM_DOXYGEN_INPUT = @GTKMM_DOXYGEN_INPUT@
121 GTKMM_LIBS = @GTKMM_LIBS@
122 GTKMM_MAJOR_VERSION = @GTKMM_MAJOR_VERSION@
123 GTKMM_MICRO_VERSION = @GTKMM_MICRO_VERSION@
124 GTKMM_MINOR_VERSION = @GTKMM_MINOR_VERSION@
125 GTKMM_PC_ATKMM_DEP = @GTKMM_PC_ATKMM_DEP@
126 GTKMM_RELEASE = @GTKMM_RELEASE@
127 GTKMM_VERSION = @GTKMM_VERSION@
128 INSTALL = @INSTALL@
129 INSTALL_DATA = @INSTALL_DATA@
130 INSTALL_PROGRAM = @INSTALL_PROGRAM@
131 INSTALL_SCRIPT = @INSTALL_SCRIPT@
132 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
133 LDFLAGS = @LDFLAGS@
134 LIBGTKMM_SO_VERSION = @LIBGTKMM_SO_VERSION@
135 LIBOBJS = @LIBOBJS@
136 LIBS = @LIBS@
137 LIBTOOL = @LIBTOOL@
138 LN_S = @LN_S@
139 LTLIBOBJS = @LTLIBOBJS@
140 M4 = @M4@
141 MAINT = @MAINT@
142 MAKEINFO = @MAKEINFO@
143 MKDIR_P = @MKDIR_P@
144 OBJDUMP = @OBJDUMP@
145 OBJEXT = @OBJEXT@
146 PACKAGE = @PACKAGE@
147 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
148 PACKAGE_NAME = @PACKAGE_NAME@
149 PACKAGE_STRING = @PACKAGE_STRING@
150 PACKAGE_TARNAME = @PACKAGE_TARNAME@
151 PACKAGE_VERSION = @PACKAGE_VERSION@
152 PANGOMM_CFLAGS = @PANGOMM_CFLAGS@
153 PANGOMM_LIBS = @PANGOMM_LIBS@
154 PATH_SEPARATOR = @PATH_SEPARATOR@
155 PERL_PATH = @PERL_PATH@
156 PKG_CONFIG = @PKG_CONFIG@
157 RANLIB = @RANLIB@
158 SET_MAKE = @SET_MAKE@
159 SHELL = @SHELL@
160 STRIP = @STRIP@
161 VERSION = @VERSION@
162 abs_builddir = @abs_builddir@
163 abs_srcdir = @abs_srcdir@
164 abs_top_builddir = @abs_top_builddir@
165 abs_top_srcdir = @abs_top_srcdir@
166 ac_ct_CC = @ac_ct_CC@
167 ac_ct_CXX = @ac_ct_CXX@
168 ac_ct_F77 = @ac_ct_F77@
169 am__include = @am__include@
170 am__leading_dot = @am__leading_dot@
171 am__quote = @am__quote@
172 am__tar = @am__tar@
173 am__untar = @am__untar@
174 bindir = @bindir@
175 build = @build@
176 build_alias = @build_alias@
177 build_cpu = @build_cpu@
178 build_os = @build_os@
179 build_vendor = @build_vendor@
180 builddir = @builddir@
181 datadir = @datadir@
182 datarootdir = @datarootdir@
183 docdir = @docdir@
184 dvidir = @dvidir@
185 exec_prefix = @exec_prefix@
186 host = @host@
187 host_alias = @host_alias@
188 host_cpu = @host_cpu@
189 host_os = @host_os@
190 host_vendor = @host_vendor@
191 htmldir = @htmldir@
192 includedir = @includedir@
193 infodir = @infodir@
194 install_sh = @install_sh@
195 libdir = @libdir@
196 libexecdir = @libexecdir@
197 localedir = @localedir@
198 localstatedir = @localstatedir@
199 mandir = @mandir@
200 mkdir_p = @mkdir_p@
201 oldincludedir = @oldincludedir@
202 pdfdir = @pdfdir@
203 prefix = @prefix@
204 program_transform_name = @program_transform_name@
205 psdir = @psdir@
206 sbindir = @sbindir@
207 sharedstatedir = @sharedstatedir@
208 srcdir = @srcdir@
209 sysconfdir = @sysconfdir@
210 target_alias = @target_alias@
211 top_builddir = @top_builddir@
212 top_srcdir = @top_srcdir@
213 @GTKMM_ATKMM_ENABLED_FALSE@ATK_SUBDIR = 
214 @GTKMM_ATKMM_ENABLED_TRUE@ATK_SUBDIR = atk
215 SUBDIRS = tools $(ATK_SUBDIR) pango gdk gtk @EXAMPLE_SUBDIR@ @DEMO_SUBDIR@ @DOCS_SUBDIR@ tests MSVC_Net2003
216 DIST_SUBDIRS = $(SUBDIRS) scripts
217 EXTRA_DIST = build_shared/Makefile_build.am_fragment \
218                   build_shared/Makefile_build_gensrc.am_fragment \
219                   build_shared/Makefile_gensrc.am_fragment \
220                   build_shared/Makefile_conditional.am_fragment \
221                   CHANGES README.win32 README.SUN PORTING \
222       autogen.sh
223
224 web_host = gtkmm.org
225 web_path_gtkmm = /home/murrayc/gtkmm.org/docs/gtkmm-2.4/
226 #web_path_gtkmm = /home/groups/g/gt/gtkmm/htdocs/docs/gtkmm-2.4/
227 web_path_docs = $(web_path_gtkmm)docs/
228
229 #--delete and --delete-after are causing
230 # "
231 # Invalid file index: 1768710413 (count=0) [receiver]
232 # rsync error: protocol incompatibility (code 2) at sender.c(156)
233 # "
234 # with sourceforge recently (May 2005). murrayc.
235 #
236 #rsync_args = -vz --rsh ssh --delete --delete-after
237 rsync_args = -vz --rsh ssh
238 gtkmm_docdir = $(datadir)/doc/gtkmm-2.4/docs
239 doc_tarball_files = \
240         docs/index.html docs/FAQ/html docs/images/*.gif \
241         docs/reference/html \
242         docs/tutorial/figures/*.png docs/tutorial/html
243
244 all: config.h
245         $(MAKE) $(AM_MAKEFLAGS) all-recursive
246
247 .SUFFIXES:
248 am--refresh:
249         @:
250 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/docs/Makefile_web.am_fragment $(am__configure_deps)
251         @for dep in $?; do \
252           case '$(am__configure_deps)' in \
253             *$$dep*) \
254               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
255               cd $(srcdir) && $(AUTOMAKE) --gnu  \
256                 && exit 0; \
257               exit 1;; \
258           esac; \
259         done; \
260         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
261         cd $(top_srcdir) && \
262           $(AUTOMAKE) --gnu  Makefile
263 .PRECIOUS: Makefile
264 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
265         @case '$?' in \
266           *config.status*) \
267             echo ' $(SHELL) ./config.status'; \
268             $(SHELL) ./config.status;; \
269           *) \
270             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
271             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
272         esac;
273
274 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
275         $(SHELL) ./config.status --recheck
276
277 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
278         cd $(srcdir) && $(AUTOCONF)
279 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
280         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
281
282 config.h: stamp-h1
283         @if test ! -f $@; then \
284           rm -f stamp-h1; \
285           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
286         else :; fi
287
288 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
289         @rm -f stamp-h1
290         cd $(top_builddir) && $(SHELL) ./config.status config.h
291 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
292         cd $(top_srcdir) && $(AUTOHEADER)
293         rm -f stamp-h1
294         touch $@
295
296 distclean-hdr:
297         -rm -f config.h stamp-h1
298
299 mostlyclean-libtool:
300         -rm -f *.lo
301
302 clean-libtool:
303         -rm -rf .libs _libs
304
305 distclean-libtool:
306         -rm -f libtool
307
308 # This directory's subdirectories are mostly independent; you can cd
309 # into them and run `make' without going through this Makefile.
310 # To change the values of `make' variables: instead of editing Makefiles,
311 # (1) if the variable is set in `config.status', edit `config.status'
312 #     (which will cause the Makefiles to be regenerated when you run `make');
313 # (2) otherwise, pass the desired values on the `make' command line.
314 $(RECURSIVE_TARGETS):
315         @failcom='exit 1'; \
316         for f in x $$MAKEFLAGS; do \
317           case $$f in \
318             *=* | --[!k]*);; \
319             *k*) failcom='fail=yes';; \
320           esac; \
321         done; \
322         dot_seen=no; \
323         target=`echo $@ | sed s/-recursive//`; \
324         list='$(SUBDIRS)'; for subdir in $$list; do \
325           echo "Making $$target in $$subdir"; \
326           if test "$$subdir" = "."; then \
327             dot_seen=yes; \
328             local_target="$$target-am"; \
329           else \
330             local_target="$$target"; \
331           fi; \
332           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
333           || eval $$failcom; \
334         done; \
335         if test "$$dot_seen" = "no"; then \
336           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
337         fi; test -z "$$fail"
338
339 $(RECURSIVE_CLEAN_TARGETS):
340         @failcom='exit 1'; \
341         for f in x $$MAKEFLAGS; do \
342           case $$f in \
343             *=* | --[!k]*);; \
344             *k*) failcom='fail=yes';; \
345           esac; \
346         done; \
347         dot_seen=no; \
348         case "$@" in \
349           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
350           *) list='$(SUBDIRS)' ;; \
351         esac; \
352         rev=''; for subdir in $$list; do \
353           if test "$$subdir" = "."; then :; else \
354             rev="$$subdir $$rev"; \
355           fi; \
356         done; \
357         rev="$$rev ."; \
358         target=`echo $@ | sed s/-recursive//`; \
359         for subdir in $$rev; do \
360           echo "Making $$target in $$subdir"; \
361           if test "$$subdir" = "."; then \
362             local_target="$$target-am"; \
363           else \
364             local_target="$$target"; \
365           fi; \
366           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
367           || eval $$failcom; \
368         done && test -z "$$fail"
369 tags-recursive:
370         list='$(SUBDIRS)'; for subdir in $$list; do \
371           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
372         done
373 ctags-recursive:
374         list='$(SUBDIRS)'; for subdir in $$list; do \
375           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
376         done
377
378 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
379         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
380         unique=`for i in $$list; do \
381             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
382           done | \
383           $(AWK) '    { files[$$0] = 1; } \
384                END { for (i in files) print i; }'`; \
385         mkid -fID $$unique
386 tags: TAGS
387
388 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
389                 $(TAGS_FILES) $(LISP)
390         tags=; \
391         here=`pwd`; \
392         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
393           include_option=--etags-include; \
394           empty_fix=.; \
395         else \
396           include_option=--include; \
397           empty_fix=; \
398         fi; \
399         list='$(SUBDIRS)'; for subdir in $$list; do \
400           if test "$$subdir" = .; then :; else \
401             test ! -f $$subdir/TAGS || \
402               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
403           fi; \
404         done; \
405         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
406         unique=`for i in $$list; do \
407             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
408           done | \
409           $(AWK) '    { files[$$0] = 1; } \
410                END { for (i in files) print i; }'`; \
411         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
412           test -n "$$unique" || unique=$$empty_fix; \
413           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
414             $$tags $$unique; \
415         fi
416 ctags: CTAGS
417 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
418                 $(TAGS_FILES) $(LISP)
419         tags=; \
420         here=`pwd`; \
421         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
422         unique=`for i in $$list; do \
423             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
424           done | \
425           $(AWK) '    { files[$$0] = 1; } \
426                END { for (i in files) print i; }'`; \
427         test -z "$(CTAGS_ARGS)$$tags$$unique" \
428           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
429              $$tags $$unique
430
431 GTAGS:
432         here=`$(am__cd) $(top_builddir) && pwd` \
433           && cd $(top_srcdir) \
434           && gtags -i $(GTAGS_ARGS) $$here
435
436 distclean-tags:
437         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
438
439 distdir: $(DISTFILES)
440         $(am__remove_distdir)
441         test -d $(distdir) || mkdir $(distdir)
442         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
443         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
444         list='$(DISTFILES)'; \
445           dist_files=`for file in $$list; do echo $$file; done | \
446           sed -e "s|^$$srcdirstrip/||;t" \
447               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
448         case $$dist_files in \
449           */*) $(MKDIR_P) `echo "$$dist_files" | \
450                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
451                            sort -u` ;; \
452         esac; \
453         for file in $$dist_files; do \
454           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
455           if test -d $$d/$$file; then \
456             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
457             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
458               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
459             fi; \
460             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
461           else \
462             test -f $(distdir)/$$file \
463             || cp -p $$d/$$file $(distdir)/$$file \
464             || exit 1; \
465           fi; \
466         done
467         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
468           if test "$$subdir" = .; then :; else \
469             test -d "$(distdir)/$$subdir" \
470             || $(MKDIR_P) "$(distdir)/$$subdir" \
471             || exit 1; \
472             distdir=`$(am__cd) $(distdir) && pwd`; \
473             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
474             (cd $$subdir && \
475               $(MAKE) $(AM_MAKEFLAGS) \
476                 top_distdir="$$top_distdir" \
477                 distdir="$$distdir/$$subdir" \
478                 am__remove_distdir=: \
479                 am__skip_length_check=: \
480                 distdir) \
481               || exit 1; \
482           fi; \
483         done
484         $(MAKE) $(AM_MAKEFLAGS) \
485           top_distdir="$(top_distdir)" distdir="$(distdir)" \
486           dist-hook
487         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
488           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
489           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
490           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
491         || chmod -R a+r $(distdir)
492 dist-gzip: distdir
493         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
494         $(am__remove_distdir)
495
496 dist-bzip2: distdir
497         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
498         $(am__remove_distdir)
499
500 dist-tarZ: distdir
501         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
502         $(am__remove_distdir)
503
504 dist-shar: distdir
505         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
506         $(am__remove_distdir)
507
508 dist-zip: distdir
509         -rm -f $(distdir).zip
510         zip -rq $(distdir).zip $(distdir)
511         $(am__remove_distdir)
512
513 dist dist-all: distdir
514         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
515         $(am__remove_distdir)
516
517 # This target untars the dist file and tries a VPATH configuration.  Then
518 # it guarantees that the distribution is self-contained by making another
519 # tarfile.
520 distcheck: dist
521         case '$(DIST_ARCHIVES)' in \
522         *.tar.gz*) \
523           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
524         *.tar.bz2*) \
525           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
526         *.tar.Z*) \
527           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
528         *.shar.gz*) \
529           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
530         *.zip*) \
531           unzip $(distdir).zip ;;\
532         esac
533         chmod -R a-w $(distdir); chmod a+w $(distdir)
534         mkdir $(distdir)/_build
535         mkdir $(distdir)/_inst
536         chmod a-w $(distdir)
537         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
538           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
539           && cd $(distdir)/_build \
540           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
541             $(DISTCHECK_CONFIGURE_FLAGS) \
542           && $(MAKE) $(AM_MAKEFLAGS) \
543           && $(MAKE) $(AM_MAKEFLAGS) dvi \
544           && $(MAKE) $(AM_MAKEFLAGS) check \
545           && $(MAKE) $(AM_MAKEFLAGS) install \
546           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
547           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
548           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
549                 distuninstallcheck \
550           && chmod -R a-w "$$dc_install_base" \
551           && ({ \
552                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
553                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
554                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
555                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
556                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
557               } || { rm -rf "$$dc_destdir"; exit 1; }) \
558           && rm -rf "$$dc_destdir" \
559           && $(MAKE) $(AM_MAKEFLAGS) dist \
560           && rm -rf $(DIST_ARCHIVES) \
561           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
562         $(am__remove_distdir)
563         @(echo "$(distdir) archives ready for distribution: "; \
564           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
565           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
566 distuninstallcheck:
567         @cd $(distuninstallcheck_dir) \
568         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
569            || { echo "ERROR: files left after uninstall:" ; \
570                 if test -n "$(DESTDIR)"; then \
571                   echo "  (check DESTDIR support)"; \
572                 fi ; \
573                 $(distuninstallcheck_listfiles) ; \
574                 exit 1; } >&2
575 distcleancheck: distclean
576         @if test '$(srcdir)' = . ; then \
577           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
578           exit 1 ; \
579         fi
580         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
581           || { echo "ERROR: files left in build directory after distclean:" ; \
582                $(distcleancheck_listfiles) ; \
583                exit 1; } >&2
584 check-am: all-am
585 check: check-recursive
586 all-am: Makefile config.h all-local
587 installdirs: installdirs-recursive
588 installdirs-am:
589 install: install-recursive
590 install-exec: install-exec-recursive
591 install-data: install-data-recursive
592 uninstall: uninstall-recursive
593
594 install-am: all-am
595         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
596
597 installcheck: installcheck-recursive
598 install-strip:
599         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
600           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
601           `test -z '$(STRIP)' || \
602             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
603 mostlyclean-generic:
604
605 clean-generic:
606
607 distclean-generic:
608         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
609
610 maintainer-clean-generic:
611         @echo "This command is intended for maintainers to use"
612         @echo "it deletes files that may require special tools to rebuild."
613 clean: clean-recursive
614
615 clean-am: clean-generic clean-libtool mostlyclean-am
616
617 distclean: distclean-recursive
618         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
619         -rm -f Makefile
620 distclean-am: clean-am distclean-generic distclean-hdr \
621         distclean-libtool distclean-tags
622
623 dvi: dvi-recursive
624
625 dvi-am:
626
627 html: html-recursive
628
629 info: info-recursive
630
631 info-am:
632
633 install-data-am:
634
635 install-dvi: install-dvi-recursive
636
637 install-exec-am:
638
639 install-html: install-html-recursive
640
641 install-info: install-info-recursive
642
643 install-man:
644
645 install-pdf: install-pdf-recursive
646
647 install-ps: install-ps-recursive
648
649 installcheck-am:
650
651 maintainer-clean: maintainer-clean-recursive
652         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
653         -rm -rf $(top_srcdir)/autom4te.cache
654         -rm -f Makefile
655 maintainer-clean-am: distclean-am maintainer-clean-generic
656
657 mostlyclean: mostlyclean-recursive
658
659 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
660
661 pdf: pdf-recursive
662
663 pdf-am:
664
665 ps: ps-recursive
666
667 ps-am:
668
669 uninstall-am:
670
671 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
672         install-strip
673
674 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
675         all all-am all-local am--refresh check check-am clean \
676         clean-generic clean-libtool ctags ctags-recursive dist \
677         dist-all dist-bzip2 dist-gzip dist-hook dist-shar dist-tarZ \
678         dist-zip distcheck distclean distclean-generic distclean-hdr \
679         distclean-libtool distclean-tags distcleancheck distdir \
680         distuninstallcheck dvi dvi-am html html-am info info-am \
681         install install-am install-data install-data-am install-dvi \
682         install-dvi-am install-exec install-exec-am install-html \
683         install-html-am install-info install-info-am install-man \
684         install-pdf install-pdf-am install-ps install-ps-am \
685         install-strip installcheck installcheck-am installdirs \
686         installdirs-am maintainer-clean maintainer-clean-generic \
687         mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
688         ps ps-am tags tags-recursive uninstall uninstall-am
689
690
691 all-local:
692         @echo "*** Everything completed ***"
693
694 dist-hook:
695         @echo; echo; \
696         echo "**********************************************************"; \
697         echo "* IMPORTANT NOTICE:                                      *"; \
698         echo "*                                                        *"; \
699         echo "* Be sure you have done a complete build before running  *"; \
700         echo "* 'make dist' or 'make distcheck', because otherwise     *"; \
701         echo "* the tarball will _not_ contain the dependency rules    *"; \
702         echo "* generated by the compiler.                             *"; \
703         echo "**********************************************************"; \
704         echo; echo
705
706 # This doesn't work very well in a $(srcdir) != $(builddir) setup,
707 # but this target is for maintainer use only anyway.
708
709 gtkmm-2-4-docs.tar.gz:
710         find examples -name '*.cc' -o -name '*.h' -o -name '*.xpm' -o -name '*.xml' | \
711         tar cf - --files-from - $(doc_tarball_files) | gzip -c --best >$@
712
713 # Upload documentation and examples:
714
715 post-html-recursive:
716         list='docs examples'; for subdir in $$list; do \
717           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) post-html); \
718         done
719
720 post-html-local: gtkmm-2-4-docs.tar.gz
721         rsync $(rsync_args) gtkmm-2-4-docs.tar.gz $$USER@$(web_host):$(web_path_gtkmm)
722
723 post-html: post-html-recursive post-html-local
724
725 doc-clean-recursive:
726         (cd docs && $(MAKE) $(AM_MAKEFLAGS) doc-clean)
727
728 doc-clean: doc-clean-recursive
729
730 doc-rebuild:
731         (cd docs && $(MAKE) $(AM_MAKEFLAGS) doc-rebuild)
732
733 .PHONY: post-html post-html-local post-html-recursive doc-clean doc-clean-recursive doc-rebuild
734 # Tell versions [3.59,3.63) of GNU make to not export all variables.
735 # Otherwise a system limit (for SysV at least) may be exceeded.
736 .NOEXPORT: